var gE = function(id) { return document.getElementById(id); }
function fnValidateMandatoryFieldsOnSavePrescriptionFavorite() {
    if (gE("ctl00_CP_PrescriptionNameTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000018, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_PrescriptionDescriptionTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000019, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    return true;
}
var gE = function(id) { return document.getElementById(id); }
function fnValidateMandatoryFieldsOfDrugDetails() {
    if (gE("ctl00_CP_DrugCodeTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000011, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_DosageTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000012, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_FrequencyTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000013, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_DurationTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000014, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_InstructionTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000015, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_CautionaryTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000016, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }   
    return true;
}
var gE = function(id) { return document.getElementById(id); }
function fnValidateMandatoryFieldsOnSaveServiceFavorite() {
    if (gE("ctl00_CP_DiagnosticNameTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000006, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_DiagnosticDescriptionTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000007, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_TestCodeTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000005, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    return true;
}
var gE = function(id) { return document.getElementById(id); }
function fnValidateMandatoryFieldsOnModifyServiceFavorite() {
    if (gE("ctl00_CP_DiagnosticNameTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000006, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    if (gE("ctl00_CP_DiagnosticDescriptionTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000007, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    } 
    return true;
}
var gE = function(id) { return document.getElementById(id); }
function fnValidateMandatoryFieldsOfInvestigationalDetails() {
    if (gE("ctl00_CP_TestCodeTextBox").value == "") {
        SetMessageBox(MessageVars.HED_000005, 'Error');
        return false;
    }
    else {
        ResetMessageBox();
    }
    return true;
}